{
  pkgs,
  stdenvNoCC,
  patosPkgs,
  ...
}:
let
  version = "0.0.1";
  pname = "patos-image";
in
stdenvNoCC.mkDerivation (finalAttrs: {
  inherit version;
  inherit pname;

  buildInputs = with pkgs; [
    erofs-utils
    dosfstools
    mtools
  ];

  systemd = patosPkgs.systemd.out;
  kernel = patosPkgs.kernel.kernel;
  initrd = patosPkgs.initrd.out;
  rootfs = patosPkgs.rootfs.out;

  builder = ./mkimage.sh;
})
