{
  pkgs,
  stdenvNoCC,
  patosPkgs,
  ...
}:
let
  version = "0.0.1";
  pname = "patos-ramdisk";
in
stdenvNoCC.mkDerivation (finalAttrs: {
  inherit version;
  inherit pname;

  buildInputs = with pkgs; [
    cpio
    xz
  ];

  rootfs = patosPkgs.rootfs.out;

  builder = ./mkinitrd.sh;
})
